local addon, s = ...

s[1] = {} -- B, functions, constants, variables
s[2] = {} -- L, localization
s[3] = {} -- T, globals

--[[//////////////////////////////////////////////////

    BANK'S WATCH

    This is a lightweight add-on to keep track of your
    bank, reagent, void storage, guild bank inventory.

    Since things can change often, the add-on will use
    collectgarbage() everytime it scans an update to
    avoid increase in memory usage.

    The add-on will load and work directly with the
    saved variable rather than load it into memory.

----\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\]]

local B, L, T = unpack(select(2, ...))

T.F = {} -- Frames
T.FRAMEWHITESPACE = 4
T.BUTTON_HEIGHT = 32
T.ROW = 12
T.NUM_REAGENT_SLOTS = 98
T.NUM_VOID_SLOTS = VOID_STORAGE_MAX or 80
T.REAGENT_PAGES = 1
T.VOID_PAGES = VOID_STORAGE_PAGES or 2
T.MAX_GUILDBANK_SLOTS_PER_TAB = MAX_GUILDBANK_SLOTS_PER_TAB or 98
T.ACTIVE_TABLE = {}
T.ISBANKOPEN = false

T.BW = {
    ['items'] = {},
    ['lookup'] = {},
    ['lookuprequest'] = false,
    ['loaded'] = false
}

T.MSGC = {
    ['ERROR'] = "|cffFF00E1",
    ['INFO'] = "|cff35FCB5",--"|cffB5EDFF",
    ['EVENT'] = "|cffFFBF00",--"|cff35FCB5",
    ['DEBUG'] = "|cffE0FC35",
    ['DEFAULT'] = "|cff30DFEF",
    ['BOOL'] = "|cff2BED48",
    ['WARN'] = "|cffDBD3AF"
}

T.OPTIONS = {
    ['iconsize'] = true,
    ['iconsizeslider'] = true,
    ['iconrow'] = true,
    ['iconrowslider'] = true,
    ['minimize'] = true,
    ['helptooltip'] = true
}
